#include <iostream>

using namespace std;

int main(){
    
    int N,L,H,i,index=-1;
    
    cin>>N>>L;

	for(i = 0; i<N; i++){
		cin>>H;
		if(H<=L){
			index=i+1;
			break;
		}
	}
    
    cout<<index;
    return 0;

}